# sb::Content::Category
# == Author(s) : Takuya Otani <takuya.otani@gmail.com> ==
# == Copyright (C) 2005 SimpleBoxes/SerendipityNZ Ltd. ==

# ======================================
package sb::Content::Category;
use vars qw( $VERSION );
$VERSION = '0.00';
# 0.00 [2007/07/31] divided from sb::Content
# --------------------------------------
# // default callbacks
sub _init
{
	return (
		'_main'   => \&_main,
		'content' => \&_content,
	);
}
# --------------------------------------
# // define callbacks
sub _main
{
	my $cms  = shift;
	my %var  = @_;
	undef;
}
sub _content
{
	my $cms  = shift;
	my $cat  = shift;
	my %var  = @_;
	$cms->tag('category_description'=>$cat->formatted_text());
	$cms->tag('category_pagename'=>$cat->name());
	$cms->tag('category_fullname'=>$cat->fullname($var{'cat'}));
	$cms->tag('site_parts'=>$var{'conf'}->value('conf_srv_base') . $var{'conf'}->value('dir_style'));
}
1;
__END__
